Name:           ocaml-type-conv
Version:        109.28.00
Release:        %mkrel 7
Summary:        OCaml base library for type conversion
Group:          Development/OCaml
License:        LGPLv2+ with exceptions and BSD
URL:            https://ocaml.janestreet.com
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/type_conv-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-camlp4-devel

%description
The type-conv mini library factors out functionality needed by
different preprocessors that generate code from type specifications,
because this functionality cannot be duplicated without losing the
ability to use these preprocessors simultaneously.

%prep
%setup -q -n type_conv-%{version}

%build
./configure
make

%install
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install

%files
%doc LICENSE.txt LICENSE-Tywith.txt CHANGES.txt COPYRIGHT.txt README.md
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%{_libdir}/ocaml/type_conv


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 109.28.00-7.mga6
+ Revision: 1056447
- Rebuild for fix in ocaml

* Fri Jan 29 2016 pterjan <pterjan> 109.28.00-6.mga6
+ Revision: 929013
- Fix BuildRequires
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 109.28.00-5.mga5
+ Revision: 743378
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 109.28.00-4.mga5
+ Revision: 683117
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.28.00-3.mga4
+ Revision: 533904
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 109.28.00-2.mga4
+ Revision: 475759
- rebuild for ocaml-4.01.0

* Fri Aug 02 2013 blue_prawn <blue_prawn> 109.28.00-1.mga4
+ Revision: 462510
- update to last version 109.28.00

* Sun May 26 2013 blue_prawn <blue_prawn> 109.20.00-1.mga4
+ Revision: 427727
- updated to last version 109.20.00

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361670
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 11 2012 malo <malo> 108.07.01-1.mga3
+ Revision: 304537
- update to 108.07.01

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-3.mga3
+ Revision: 301538
- rebuild for ocaml 4.00

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301071
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300104
- updated to last version 108.07.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.00.02-2.mga3
+ Revision: 300095
- new rpm group for ocaml

* Sat Jul 21 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 273187
- update to new version (new upstream) 108.00.02

* Wed Apr 04 2012 blue_prawn <blue_prawn> 3.0.5-1.mga3
+ Revision: 228288
- updated to new version 3.0.5 : new location on the forge, and now uses oasis

* Wed Jan 11 2012 blue_prawn <blue_prawn> 3.0.1-1.mga2
+ Revision: 195035
- imported package ocaml-type-conv

